Problem installing GHC 6.10.2 on Debian Etch

Daniel van den Eijkel dvde at
Thu Apr 16 11:49:28 EDT 2009

Thanks for the answer.
I upgraded from Debian Etch to Lenny, and this upgraded ghc to version 
6.8.2. Then I tried again to install ghc-6.10.2 and it worked without 

But now I have 2 versions, and by default ghc-6.8 is called. Is there a 
simple way to make ghc-6.10 the default ghc? Do I have to change the 
symlinks by hand?


Ian Lynagh schrieb:
> On Thu, Apr 16, 2009 at 02:05:24PM +0200, Daniel van den Eijkel wrote:
>> I am trying to install GHC-6.10.2 on Debian Etch and I get the following 
>> error:
>>    /usr/bin/strip: /usr/local/lib/ghc-6.10.2/ghc-pkg: File format not 
>> recognized
> IIRC, this happens if you have binutils 2.17. Upgrading should fix it.
> Thanks
> Ian

More information about the Glasgow-haskell-users mailing list